/* ------------------------------------------ */
/*                Responsive                  */
/* ------------------------------------------ */
@media (max-width:1199px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        font-size: 15px;
    }
    .carousel-inner {
        height: 750px;
    }
    .carousel-inner .slide1 {
        height: 750px;
    }
    .carousel-inner .slide2 {
        height: 750px;
    }
    .carousel-inner .slide3 {
        height: 750px;
    }
    #map {
        width: 85%;
    }
}
/* ------------------------------------------ */
@media (max-width:1050px) {
    .carousel-inner {
        height: 700px;
    }
    .carousel-inner .slide1 {
        height: 700px;
    }
    .carousel-inner .slide2 {
        height: 700px;
    }
    .carousel-inner .slide3 {
        height: 700px;
    }
    #map {
        width: 90%;
    }
}
/* ------------------------------------------ */
@media (max-width:991px) {
    .nav-item {
        margin-left: 0px;
        padding-left: 10px;
    }
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-left: 10px;
        padding-right: 10px;
    }
    .nav-item.dropdown {
        margin-left: 0px;
        padding-left: 10px;
    }
    .carousel-inner {
        height: 650px;
    }
    .carousel-inner .slide1 {
        height: 650px;
    }
    .carousel-inner .slide2 {
        height: 650px;
    }
    .carousel-inner .slide3 {
        height: 650px;
    }
    #map {
        width: 95%;
    }
    .horizontal-nav-tab {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
    }
    .vertical-nav-tab {
        display: none;
    }
    .navbar-toggler {
        margin-right: 60px;
    }
}
/* ------------------------------------------ */
@media (max-width:870px) {
    .carousel-inner {
        height: 600px;
    }
    .carousel-inner .slide1 {
        height: 600px;
    }
    .carousel-inner .slide2 {
        height: 600px;
    }
    .carousel-inner .slide3 {
        height: 600px;
    }
    #map {
        width: 100%;
    }
    #contact-us .right-side .modal-body {
        padding-left: 0;
    }
}
/* ------------------------------------------ */
@media (max-width:768px) {
    .nav-item {
        margin-left: 0px;
        padding-left: 10px;
    }
    .nav-item.dropdown {
        margin-left: 0px;
        padding-left: 10px;
    }
    .nav-item.dropdown a {
        color: #fff;
    }
    .nav-item.dropdown a:hover {
        background-color: #000;
        color: #ac1315;
    }
    .navbar-light .navbar-toggler {
        color: #fff;
    }
    .dropdown-menu {
        background-color: #000;
    }
    #main .container-fluid .row a.farming {
        margin-top: -3px;
    }
    .carousel-inner {
        height: 500px;
    }
    .carousel-inner .slide1 {
        height: 500px;
    }
    .carousel-inner .slide2 {
        height: 500px;
    }
    .carousel-inner .slide3 {
        height: 500px;
    }
}
/* ------------------------------------------ */
@media (max-width:767px) {
    #map {
        width: 90%;
        text-align: center;
        display: inline-block;
    }
    #contact-us .right-side .modal-body {
        padding-left: 15px;
        text-align: center;
    }
    #contact-us .right-side .modal-content {
        margin-top: 25px;
        text-align: center;
    }
    .horizontal-nav-tab .container .row .col-12.col-md-6.right-side,
    .horizontal-nav-tab .container .row .col-12.col-md-6.left-side {
        margin-bottom: 15px;
        text-align: center;
    }
    .horizontal-nav-tab .container .row .col-12.col-md-6 a img {
        width: 90%;
    }
    #contact-us .right-side {
        padding-left: 15px;
    }
}
/* ------------------------------------------ */
@media (max-width:649px) {
    #main .container-fluid .row a.farming {
        margin-top: -3px;
        margin-right: 5%;
        margin-left: 0;
    }
    .carousel-inner {
        height: 430px;
    }
    .carousel-inner .slide1 {
        height: 430px;
    }
    .carousel-inner .slide2 {
        height: 430px;
    }
    .carousel-inner .slide3 {
        height: 430px;
    }
}
/* ------------------------------------------ */
@media (max-width:635px) {
    #history .modal-body h6.special-title::before {
        width: 305px;
    }
}
/* ------------------------------------------ */
@media (max-width:602px) {
    #history .modal-title {
        font-size: 25px;
    }
    #history .modal-title::before {
        border-left: 23px solid #810490;
        margin-left: -33px;
    }
}
/* ------------------------------------------ */
@media (max-width:600px) {
    .carousel-inner {
        height: 370px;
    }
    .carousel-inner .slide1 {
        height: 370px;
    }
    .carousel-inner .slide2 {
        height: 370px;
    }
    .carousel-inner .slide3 {
        height: 370px;
    }
    .carousel-item .position-absolute h1 {
        margin-bottom: 0;
        margin-right: 60px;
        font-size: 45px;
    }
    .carousel-item .position-absolute h2 {
        margin-bottom: 0;
        margin-right: 60px;
        font-size: 20px;
    }
    .carousel-item .position-absolute h4 {
        opacity: .3;
        margin-top: 100px;
        margin-left: 40px;
        font-weight: 100;
        font-size: 18px;
    }
}
/* ------------------------------------------ */
@media (max-width:570px) {
    #main .container-fluid .row a.farming {
        margin-left: 100px;
        margin-top: 10px;
    }
}
/* ------------------------------------------ */
@media (max-width:515px) {
    #slideshow .container-fluid {
        padding-right: 0;
        padding-left: 0;
    }
    button.navbar-toggler {
        margin-right: -10px;
    }
    .vertical-text h6 {
        visibility: hidden;
    }
    .vertical-text h6::before {
        border-top: none;
    }
    .carousel-item .position-absolute h1 {
        margin-bottom: 0;
        margin-right: 60px;
        font-size: 52px;
    }
    .carousel-item .position-absolute h2 {
        margin-bottom: 0;
        margin-right: 60px;
        font-size: 24px;
    }
    .carousel-item .position-absolute h4 {
        opacity: .3;
        margin-top: 100px;
        margin-left: 40px;
        font-weight: 100;
        font-size: 20px;
    }
    .carousel-inner {
        height: 350px;
    }
    .carousel-inner .slide1 {
        height: 350px;
    }
    .carousel-inner .slide2 {
        height: 350px;
    }
    .carousel-inner .slide3 {
        height: 350px;
    }
    .modal-body p {
        font-size: 17px;
    }
    .modal-title {
        font-size: 35px;
    }
    .navbar.navbar-expand-lg {
        padding-left: 10px;
        padding-right: 10px;
    }
}
/* ------------------------------------------ */
@media (max-width:444px) {
    #farming .modal-title {
        font-size: 23px;
    }
    #farming .modal-title::before {
        border-left: 25px solid #810490;
        margin-left: -33px;
    }
}
/* ------------------------------------------ */
@media (max-width:427px) {
    #main .container-fluid .row a.farming {
        font-size: 15px;
        margin-left: 100px;
        margin-right: 0;
    }
    #text {
        top: 15%
    }
    #text p {
        font-size: 19px;
    }
    button.close {
        right: 0;
    }
    .carousel-item .position-absolute {
        top: 10%;
    }
    button.close {
        right: 10%;
    }
    .modal-title {
        margin-top: 50px;
    }
    .carousel-inner {
        height: 325px;
    }
    .carousel-inner .slide1 {
        height: 325px;
    }
    .carousel-inner .slide2 {
        height: 325px;
    }
    .carousel-inner .slide3 {
        height: 325px;
    }
    #types-of-saffron .modal-title {
        font-size: 27px;
        border-left: 30px solid #810490;
    }
}
/* ------------------------------------------ */
@media (max-width:414px) {
    .carousel-inner {
        height: 300px;
    }
    .carousel-inner .slide1 {
        height: 300px;
    }
    .carousel-inner .slide2 {
        height: 300px;
    }
    .carousel-inner .slide3 {
        height: 300px;
    }
    .carousel-item .position-absolute h4 {
        opacity: .3;
        margin-top: 60px;
        margin-left: 0;
        font-weight: 100;
        font-size: 19px;
    }
    #history .modal-body h6.special-title::before {
        width: 250px;
    }
}
/* ----------------------------------------- */
@media (max-width:370px) {
    .carousel-inner {
        height: 270px;
    }
    .carousel-inner .slide1 {
        height: 270px;
    }
    .carousel-inner .slide2 {
        height: 270px;
    }
    .carousel-inner .slide3 {
        height: 270px;
    }
    .carousel-item .position-absolute h4 {
        opacity: .3;
        margin-top: 50px;
        margin-left: 10px;
        font-weight: 100;
        font-size: 17px;
    }
    .carousel-item .position-absolute h1 {
        margin-bottom: 0;
        margin-right: 40px;
        font-size: 40px;
    }
    .carousel-item .position-absolute h2 {
        margin-bottom: 0;
        margin-right: 40px;
        font-size: 22px;
    }
}
/* ----------------------------------------- */
@media (max-width:359px) {
    #contact-us .left-side {
        margin-left: 40px;
    }
}
/* ----------------------------------------- */
@media (max-width:345px) {
    #history .modal-body h6.special-title::before {
        width: 225px;
    }
    #contact-us .left-side {
        margin-left: 20px;
    }
    #types-of-saffron .modal-title {
        margin-left: 8%;
    }
}
/* ------------------------------------------ */
@media (max-width:330px) {
    #main .container-fluid .row a.history {
        margin-left: 80px;
    }
    #main .container-fluid .row a.history::before {
        left: -80px;
        width: 70px;
    }
    #main .container-fluid .row a.farming {
        margin-left: 80px;
        margin-right: 0;
        font-size: 15px;
    }
    .carousel-inner {
        height: 250px;
    }
    .carousel-inner .slide1 {
        height: 250px;
    }
    .carousel-inner .slide2 {
        height: 250px;
    }
    .carousel-inner .slide3 {
        height: 250px;
    }
    .carousel-item .position-absolute h4 {
        opacity: .3;
        margin-top: 50px;
        margin-left: 10px;
        font-weight: 100;
        font-size: 17px;
    }
    .carousel-item .position-absolute h1 {
        margin-bottom: 0;
        margin-right: 40px;
        font-size: 40px;
    }
    .carousel-item .position-absolute h2 {
        margin-bottom: 0;
        margin-right: 40px;
        font-size: 22px;
    }
}
